routes/web.php
<?php

use App\Http\Controllers\AuthController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\NoteController;
use App\Http\Controllers\TaskController;
use App\Http\Controllers\CategoryController;

Route::group(['middleware' => 'auth'], function () {
    Route::get('/', function () {
        return view('welcome');
    })->name('home');

    // Categories
    Route::resource('categories', CategoryController::class);

    // Notes
    Route::resource('notes', NoteController::class);

    // Tasks`
    Route::resource('tasks', TaskController::class);


    // Logout
    Route::get('logout', [AuthController::class, 'logout'])->name('logout');
});

Route::group(['middleware' => 'guest'], function () {
    Route::get('login', [AuthController::class, 'login'])->name('login');
    Route::post('signin', [AuthController::class, 'signin'])->name('signin');
    Route::get('register', [AuthController::class, 'register'])->name('register');
    Route::post('signup', [AuthController::class, 'signup'])->name('singup');
});

resources/views/partials/errors.blade.php
<?php if (!$errors->isEmpty()) { ?>
    <ul>
        <?php foreach ($errors->messages() as $key => $messages) { ?>
            <?php foreach ($messages as $message) { ?>
                <li style="color: red"><?= $message ?></li>
            <?php } ?>
        <?php } ?>
    </ul>
<?php } ?>

resources/views/partials/top-nav.blade.php
<h1>{{ $title }}</h1>
<a href="{{ route('home') }}">Home</a> |
<a href="{{ route('logout') }}">Logout</a> |
<a href="{{ route('notes.index') }}">Notes</a> |
<a href="{{ route('categories.index') }}">Categories</a> |
<a href="{{ route('tasks.index') }}">Tasks</a>

<span style="float: right;">
    @yield('links')
</span>
<hr>